Support » Plugin: AMP » Plugins with AMP incompatibility

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support Milind More

    (@milindmore22)

    Hello @stevemecher

    Thank you for the support topic, Embed Plus plugin for youtube Pro and GTranslate plugin is using custom javascript (jquery) which is not allowed on AMP pages, so the AMP plugin removes them to create valid AMP pages and resulting in a validation error (your screenshot)

    If the functionality of plugins is not affected then you can ignore those errors, or use alternative methods such as default Youtube Embeds

    We will also recommend choosing an AMP-compatible alternative from our site.

    alternatively, If you want to keep those plugins, we will recommend Enabling Sandboxing Mode and Choosing Loose Mode, Your Page won’t be AMP but they will perform better using Bento Components it will replace slow-performing components where it sees opportunity. You can learn more about Sandboxing Mode using our documentation

    Hope this helps!

    Thread Starter stevemecher

    (@stevemecher)

    hey, @milindmore22 how are your day hope you doing well.
    I try it and it works but, it destroys my theme design.
    and another mode like (Moderate, Strict) it not working.
    if I contact the plugin support can they fix it????

    Plugin Support Milind More

    (@milindmore22)

    Hello @stevemecher

    Thank you for getting back, Sorry to learn that it messed up your theme design if it didn’t work with Loose Mode it may not work with Moderate or Strict Mode.

    if I contact the plugin support can they fix it????

    It’s up to the respective plugin author if they make their plugin AMP compatible. we can’t comment on that.

    As we checked your AMP page is valid and working properly with Reader Mode with Legacy theme, I will recommend ignoring those warning from two plugins.

    Hope this helps!

    Thread Starter stevemecher

    (@stevemecher)

    ok, great I will do that.

    Plugin Support Milind More

    (@milindmore22)

    @stevemecher
    We hope our suggestion is helpful, I’ll mark this as resolved Open a new support topic if you face further issues, also feel free to leave a plugin review, we would love to hear your feedback.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Plugins with AMP incompatibility’ is closed to new replies.